Subject: [Rfced-future] Draft minutes for 12 jan meeting uploaded

From: Eliot Lear <[email-masked]>
Date: Tue, 26 Jan 2021 08:19:37 +0100

Please note, these are likely to be updated once more as they do not yet incorporate the jabber discussion.

https://datatracker.ietf.org/meeting/interim-2021-rfcefdp-01/materials/minutes-interim-2021-rfcefdp-01-202101122000-00.html

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 31 Jan 2021 13:55:40 +1300

Hi,

I just noticed this phrase:

>     All strategic body meetings are open to any participant, subject to Note Well provisions.

The explicit mention of "Note Well" seems strange. Firstly, it's IETF jargon, which would be unclear to the public at large. But more to the point, the wording of the Note Well is very specific to the IETF rules.

So while I agree with the spirit, I think the actual words need to be more generic, such as "subject to defined and published rules of participation."

Regards
   Brian Carpenter

---

From: Eliot Lear <[email-masked]>
Date: Sun, 31 Jan 2021 10:26:08 +0100

Hi Brian,

Thank you.  Yours was one of three comments that need addressing:

EKR: see that we have an anti-harassment policy
John Klensin performed a review of BCP 25 (thank you again, John.  The punishment for your good deed is at an end (for now)).
Brian: tweak to make less IETFy.

Here’s the resultant text.  Please comment no later than 12 February, but see below before you do.

> All strategic body meetings are open to any participant, subject to intellectual property policies that are consistent to those of the IETF [Note Well]. At body's initial formation, all discussions are to take place on open mailing lists, and anyone is welcome to comment / discuss. The strategic body may decide by rough consensus to use additional forms of communication (for example, Github as specified in [RFC8874]) that are consistent with [RFC2418].  The group will conform itself to an anti-harassment policy consistent with [RFC7154,RFC7776].

I propose that we leave it to the document editor to propose what it means to be consistent with RFCs 2418 and Note Well, based on John Klensin’s latest note, or whether that person recommends that the first document out of the new WG contain such amendments.  If we need to circle back on such things later, we can do that once we have more of the structure fleshed out.

**CAUTION**

Please avoid bike shedding on a matter on which we largely agree.  I you have a real problem, speak now.  Otherwise, we really have to be moving on.

Eliot

> On 31 Jan 2021, at 01:55, Brian E Carpenter <[email-masked]> wrote:
> 
> Hi,
>

---

From: "Salz, Rich" <[email-masked]>
Date: Sun, 31 Jan 2021 16:39:41 +0000

>     So while I agree with the spirit, I think the actual words need to be more generic, such as "subject to defined and published rules of participation."

I would rather keep the IETF nature very explicit.  Perhaps
	Subject to the IETF policies as described at ... (the "Note Well" in IETF terms)

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 1 Feb 2021 08:50:13 +1300

> 	Subject to the IETF policies as described at ... (the "Note Well" in IETF terms)

I didn't intend anything else in spirit. But since the IESG presumably will not be in the approval chain for output documents we can't simply say that IETF rules apply. Some careful wordsmithing is needed.

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 1 Feb 2021 08:53:26 +1300

Yes, for our present purposes that seems fine. As I just noted to Rich, the final description will need careful wordsmithing, but I think that "consistent with IETF..." does it for now.

Regards
   Brian C

On 31-Jan-21 22:26, Eliot Lear wrote:
>   * EKR: see that we have an anti-harassment policy
>   * John Klensin performed a review of BCP 25 (thank you again, John.  The punishment for your good deed is at an end (for now)).
>   * Brian: tweak to make less IETFy.
> 
> 
> Please avoid bike shedding on a matter on which we largely agree.  I you have a *real* problem, speak now.  Otherwise, we really have to be moving on.
> 
> Eliot
> 
> 
>> On 31 Jan 2021, at 01:55, Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
>>
>> Hi,
>>

---

From: John C Klensin <[email-masked]>
Date: Sun, 31 Jan 2021 15:44:14 -0500

Eliot,

I think this is ok, but with three reservations, two of which
may involve "discuss now or discuss later" decisions on which I
hope you and Brian will decide:

(1) Its being ok is contingent on there being consensus about
there being a "strategic body" and, perhaps more specifically,
what those words actually mean in more detail and precision than
the handwaving that has been necessary to get us as far as we
are now.

(2) Part of what my little investigation turned up (although it
was not a new discovery) is that most of the IETF's IPR
policies, including much of the focus of the current Note Well,
are on patent issues and disclosures.   I cannot imagine any
situation in which the "strategic body" ought to be discussing
anything subject to active patents that would require licensing
or similar actions, especially in the context around which the
IETF's policies were designed: allowing working groups to weigh
issues and choices that might involve encumbered technologies
that might be better technologically against unencumbered ones
with more technical limitations.  Remember in that context that,
while discouraged, a disclosure that says "it's mine and you
can't have it" is permitted.  So, while this might fall into the
category of things to be revisited when the wordsmithing starts,
I believe we would be better off explicitly prohibiting any
discussion in the strategy body that would require disclosure if
it occurred under IETF rules.  If we went down that path, any
IPR comments would need to reference only BCP 78.

(3) If there is a single conclusion from my tour of the
combination of the IETF IPR policies and descriptions of
organizational structure and relationships, it is that, while
the IRP policies themselves are clear (although the Note Well is
a moving target that has often made a number of assumptions tied
closely to the IETF), the rest, including documents and
relationships the IPR policies depend on, are a tangled mess.  A
vague comment about "consistent to (sic) those of the IETF" can
be interpreted as dragging all of that in, including the IETF's
appeals chain, with the latter giving bodies oversight that we
have at least discussed taking away from them.   Similarly, the
"Note Well" not only assumes more from the IETF than we might
intend, we need to remember that it is not a reference but a
demand that people pay attention to specified documents it
references.   Again, depending on how "wordsmithing" is defied,
perhaps in that category.

best,
   john

--On Sunday, January 31, 2021 10:26 +0100 Eliot Lear
<lear=[email-masked]> wrote:

> John Klensin performed a review of BCP 25 (thank you again,
> John.  The punishment for your good deed is at an end (for
> now)). Brian: tweak to make less IETFy.
> 
> Here's the resultant text.  Please comment no later than 12
> February, but see below before you do.
> 
>> All strategic body meetings are open to any participant,
>> subject to intellectual property policies that are consistent
>> to those of the IETF [Note Well]. At body's initial
>> formation, all discussions are to take place on open mailing
>> lists, and anyone is welcome to comment / discuss. The
>> strategic body may decide by rough consensus to use
>> additional forms of communication (for example, Github as
>> specified in [RFC8874]) that are consistent with [RFC2418].
>> The group will conform itself to an anti-harassment policy
>> consistent with [RFC7154,RFC7776].
> 
> 
> I propose that we leave it to the document editor to propose
> what it means to be consistent with RFCs 2418 and Note Well,
> based on John Klensin's latest note, or whether that person
> recommends that the first document out of the new WG contain
> such amendments.  If we need to circle back on such things
> later, we can do that once we have more of the structure
> fleshed out.
> 
> **CAUTION**
> 
> Please avoid bike shedding on a matter on which we largely
> agree.  I you have a real problem, speak now.  Otherwise, we
> really have to be moving on.
> 
> Eliot
> 
> 
>> The explicit mention of "Note Well" seems strange. Firstly,
>> it's IETF jargon, which would be unclear to the public at
>> large. But more to the point, the wording of the Note Well is
>> very specific to the IETF rules.
>> 
>> So while I agree with the spirit, I think the actual words
>> need to be more generic, such as "subject to defined and
>> published rules of participation."
>> 
>> Regards
>>   Brian Carpenter
>> 
>>> Please note, these are likely to be updated once more as
>>> they do not yet incorporate the jabber discussion.
>>> 
>>> https://datatracker.ietf.org/meeting/interim-2021-rfcefdp-01
>>> /materials/minutes-interim-2021-rfcefdp-01-202101122000-00.h
>>> tml
>>> 
>>> 
>